\defgroup mrpt_math_grp [mrpt-math]

Math C++ library: vectors and matrices, probability distributions, statistics, geometry, etc.

[TOC]

# Library mrpt-math

This library is part of MRPT and can be installed in Debian-based systems with:

		sudo apt install libmrpt-math-dev

Read also [how to import MRPT into your CMake scripts](mrpt_from_cmake.html).

The main classes and concepts associated with this library:

 - \ref mrpt_math_vectors_matrices_grp: Vectors and matrices (compatible with
the Eigen library).
 - \ref mrpt_math_lwgeom_grp: TPose2D, TPose3D, TPoint3D, TLine3D, geometry
functions, etc. (See also: \ref mrpt_poses_grp)

Other important elements:
 - \ref filtering_grp
 - \ref fresnel_integrals_grp
 - \ref fourier_grp
 - \ref gausspdf_transform_grp
 - \ref interpolation_grp
 - \ref kdtree_grp
 - \ref polynomial_roots
 - \ref ransac_grp
 - \ref stats_grp

# Library contents
